# getmark

dialog to select mark (symbol). Obsolete function

## Calling Sequence

    [mark,mrkSize]=getmark()

## Arguments

mark

  integer, the number of the selected mark

mrkSize

  integer, the size of the selected mark

## Description

This function designed to work with the xset function is also obsolete . Use the property editor ged instead.

`getmark` opens a graphic window to select a mark (symbol).

## Examples

    x=0:0.1:10;
    [mark,mrkSize]=getmark();
    plot2d(x,sin(x),style=-mark);
    clf();
    plot2d(x,sin(x))
    e=gce(); // store the Compound containing the plot
    [mark,mrkSize]=getmark();
    e.children(1).mark_style = mark;

## History

5.4.1
Function tagged obsolete. Will be removed in 5.5.0. Please use ged instead.

## See Also

- ged
- set
- segs_properties
- segs_properties